cdm(1)

NAME
cdm - CP/M disk manager

SYNOPSIS
cdm file...

DESCRIPTION
cdm gives access to the CP/M disk images used by yaze(1). With cdm you can create disks, copy files to and from the Unix file system, list files and erase files from the CP/M disk.

OPTIONS
Any files listed on the cdm command line are taken to be existing CP/M disk files and they are mounted successively to drive A, B, C, ... etc. The format of CP/M disk files (<CPM_Disk>) is described in yaze.doc.

INTERACTIVE COMMANDS
The interactive interface to cdm mimics an extended CP/M clone. The current disk and user number appear in the prompt and can be changed by entering DU: as a command, where D is any mounted disk letter (a .. p) and U is a user number (cdm allows 0 .. 31, although you should restrict yourself to numbers under 16 to remain compatible with CP/M). DU: can also be prefixed to any filename, to indicate that it is not on the current disk/user. Two pseudo disks can be referenced in the copy command: u and t. These refer to files in the Unix file-system. `u:file' refers to a binary Unix file and `t:file' refers to a text Unix file. The difference is that u: files are copied verbatim whereas t: files undergo CRLF and ^Z processing appropriate for the copy direction (to or from CP/M). Command names can be shortened to a unique abbreviation. If cdm was compiled with GNU Readline, command-line editing, filename completion and history recall are available - see the readline documentation.

help
    Display a command list

help cmd
    Give details about cmd

mount
    Mount a Unix file as a CP/M disk

umount
    Unmount a CP/M disk

dir Display directory

ls  Synonym for `dir'

era Erase CP/M file(s)

cp  Copy a file

rename
    Rename a CP/M file

type
    Pipe a text file through $PAGER

create
    Create a new disk

!   Execute a Unix command

quit
    Terminate cdm

SEE ALSO
yaze(1)

AUTHOR
Frank D. Cringle (fdc@cliwe.ping.de).